Subject: Still problems with regression test

From: [email-masked] (Wolf-D. Ihlenfeldt)
Date: Mon, 4 Apr 94 14:48:51 jst

I just installed today's version of Postgres4.2. I still have
problems in the regression test (SunOS4.1.2):

icopy in -d $DATABASE -s $SMGR -v $HERE/../data/dept.data /dept.data1 \
        || exit 1
/sd1g/wdi/POSTGRES/src/regress/regress/../data/dept.data -> /dept.data1
#
# - recursive icopy "in"
#
icopy in -d $DATABASE -s $SMGR -R $HERE/../data /data1 \
        || exit 1
#
# - recursive icopy "in" with dotfiles
#
rm -f $THERE/.dept.data
cp $HERE/../data/dept.data $THERE/.dept.data \
        || exit 1
cp: cannot create regular file `/sd1g/wdi/POSTGRES/src/regress/regress/obj/.dept
.data': Permission denied
the Inversion file system test causes an error
*** Error code 1

Stop.

Didn't you just write something about fixed directory permissions ?
This directory (created under user postgres in the normal
installation procedure) hast the following permissions:
wolf@hexane% ll -d obj
drwxr-xr-x   2 postgres general       512 Apr  4 14:45 obj/

The file .dept.data does not exist yet. I ran the regression
test as user wolf (myself), just as told in the installation manual.
With this directory permissions it is clear that cp is bound to fail.

WDI